/*
 *
 * CommandManager
 *
 * This class maintains all custom commands and executions throughout the mod
 *
*/

package jesse.keeblarcraft.Commands;

import jesse.keeblarcraft.Utils.ChatUtil;
import jesse.keeblarcraft.Utils.ChatUtil.CONSOLE_COLOR;

public class CustomCommandManager {
    // Intentionally empty constructor since at object definition time it may not be possible to register commands
    public CustomCommandManager() {}

    // Registers all custom command classes here
    public void RegisterCustomCommands() {
        // CUSTOM COMMAND CLASS OBJECTS BELOW
        ShortcutCommands shortcuts = new ShortcutCommands();
        NoteCommands noteCommands = new NoteCommands();
        BankCommands bankCommands = new BankCommands();
        AttributeCommands attributeCommands = new AttributeCommands();
        FactionCommands factionCommands = new FactionCommands();
        MiscCommands miscCommands = new MiscCommands();

        // REGISTER COMMANDS BELOW
        System.out.println(ChatUtil.ColoredString("REGISTERING CUSTOM COMMAND EXTENSIONS BELOW", CONSOLE_COLOR.BLUE));
        shortcuts.RegisterShortcutCommands();
        noteCommands.RegisterNoteCommands();
        bankCommands.RegisterCommands();
        attributeCommands.RegisterCommands();
        factionCommands.RegisterFactionCommands();
        miscCommands.RegisterCommands();
    }
}
