package jesse.keeblarcraft.CustomItems;

import java.util.function.Supplier;

import net.fabricmc.yarn.constants.MiningLevels;
import net.minecraft.item.Items;
import net.minecraft.item.ToolMaterial;
import net.minecraft.recipe.Ingredient;

public enum PickAxeMaker implements ToolMaterial {
    LONG_DIAMOND_PICK(MiningLevels.DIAMOND, 650, 4.5f, 3.0f, 26, () -> Ingredient.ofItems(Items.ENDER_EYE));

    private final int miningLevel;
    private final int itemDurability;
    private final float miningSpeed;
    private final float attackDamage;
    public final int enchantability;
    private final Supplier<Ingredient> repairIngredient;

    PickAxeMaker(int MiningLevel, int ItemDurability, float MiningSpeed, float AttackDamage, int Enchantability, Supplier<Ingredient> RepairIngredient) {
        this.miningLevel = MiningLevel;
        this.itemDurability = ItemDurability;
        this.miningSpeed = MiningSpeed;
        this.attackDamage = AttackDamage;
        this.enchantability = Enchantability;
        this.repairIngredient = RepairIngredient;
    }

    @Override
    public float getAttackDamage() {
        return this.attackDamage;
    }

    @Override
    public int getDurability() {
        return this.itemDurability;
    }

    @Override
    public int getEnchantability() {
        return this.enchantability;
    }

    @Override
    public int getMiningLevel() {
        return this.miningLevel;
    }

    @Override
    public float getMiningSpeedMultiplier() {
        return this.miningSpeed;
    }

    @Override
    public Ingredient getRepairIngredient() {
        return this.repairIngredient.get();
    }
    
}
